Page 16 / 32

219 |
220 |  ; Copy buffer to video memory
221 |  mov cx,32000
222 |  rep movsw
223 |  ret
224 |
225 |  ComputeCell:
226 |  ; The game of life "heart" : for each cell, computes the number of n
226 .\ eighbors
227 |  ; in video memory, and set the new cell state according to the follo
227 .\ wing rules
228 |  ; in offscreen buffer for next generation.
229 |  ;
230 |  ; Rules :
231 |  ;   - less than 2 neighbors : underpopulation => death (if alive)
232 |  ;   - empty cell with 3 neighbors : birth (or stay alive)
233 |  ;   - more than 3 neighbors : overcrowding => death (if alive)
234 |
235 |  ; Backup DS:SI (needed by outer loop and to write new cell value)
236 |  push ds
