#!/bin/sh

entry=$1

line=0
file=0

gunzip < "floppy/entries/$entry/source/source.asm.gz" \
| sh fold-symbol.sh 76 \
> "floppy/entries/$entry/source/source.asm-fold"

maxpages="$(wc -l < "floppy/entries/$entry/source/source.asm-fold")"
maxpages=$((($maxpages+19)/20))

cat "floppy/entries/$entry/source/source.asm-fold" \
| while read -r ab; do
	if [ "$(($line % 20))" -eq "0" ]; then
		file="$(($file+1))"
		echo "clear"
		echo "cat (fd0)/entries/$entry/source/source-$file.asm"
		echo "pause"
		
		echo "Page $file / $maxpages" > "floppy/entries/$entry/source/source-$file.asm"
		echo >> "floppy/entries/$entry/source/source-$file.asm"
	fi
	echo "$ab" >> "floppy/entries/$entry/source/source-$file.asm"
	line="$(($line+1))"
done

rm "floppy/entries/$entry/source/source.asm-fold"
