#!/bin/sh

sh makeentries.sh

dd if=/dev/zero of=contest-entries.img bs=512 count=2880
mkdosfs contest-entries.img
mkdir -p mountpoint
mount -o loop contest-entries.img mountpoint
cp -R floppy/* mountpoint/
sync
umount mountpoint
sync
rmdir mountpoint

grub --batch <<EOF
device (fd0) contest-entries.img
install (fd0)/grub/stage1 (fd0) (fd0)/grub/stage2 (fd0)/grub/menu.lst
quit
EOF

echo "(g)Zipping..."
gzip -c < contest-entries.img > contest-entries.img.gz
zip contest-entries.img.zip contest-entries.img

sh run.sh
