Page 22 / 32

334 |
335 |  mov di,ax ; Set starting output position in buffer
336 |
337 |  lodsw     ; Get shape dimensions : AH = height, AL = width
338 |  mov cx,ax ; Store it into CX (CH = height, CL = width)
339 |
340 |  xor dx,dx ; Clear DX, used to count number of lines (DL) and number
340 .\ of bits in line (DH)
341 |
342 |  .LoadShapeData:
343 |  lodsb     ; Get a byte. Each bit represents a pixel.
344 |
345 |  mov bl,al ; Store current byte into BL
346 |  mov bh,7  ; BH is used as a processed bit counter for current BL byte
347 |
348 |  .NextBit:
349 |  xor ax,ax ; Value defaults to 0 (no cell)
350 |
351 |  shl bl,1  ; Test the BH'th bit of BX (BL, BH being < 8)
352 |  jnc short .BitDone ; Choose action depending on carry
