Page 10 / 32

115 |  ; The pc speaker is used, with a square wave input from the timer
116 |  mov al,10110110b ; Define how we want to use the timer :
117 |  ;  10 : use timer 2 (the one used for sound generation)
118 |  ;    11 : want to write LSB and then MSB of counter value
119 |  ;      011 : generate square wave
120 |  ;         1 : we speak in binary (not BCD)
121 |  out 043h,al ; Init the timer
122 |
123 |  ; Register 1ch (timer) interrupt handler - let's start the music, ma
123 .\ n !
124 |  ; Interrupt 1ch is called around 18 times a second
125 |  cli
126 |  mov word [ss:070h],MusicPlayer    ; Override with SS - saves a few b
126 .\ ytes against
127 |  mov word [ss:072h],cs             ; setting DS to 0 and back to 07c0h
128 |  sti
129 |
130 |  AddShapes:
131 |
132 |  ; Before calling LoadShapes, we must point DS:SI to the shapes to lo
